# We use make as a collection of tiny scripts and an API for buildbot.
SBT=sbt
RM=rm -rf
ENVDIR=chpst -e

.PHONY: all sbt repl test bench grep diff clean distclean realclean

all:
	$(SBT) update compile

sbt:
	$(ENVDIR) resources/env $(SBT)

repl:
	$(ENVDIR) resources/env $(SBT) console

test:
	$(ENVDIR) resources/env $(SBT) test

bench:
	$(SBT) bench/jmh:run

grep:
	grep -ri 'todo\|fixme\|xxx' src test bench

diff:
	diff --exclude .git -r . $(HOME)/git/huli/oss/template-scala
	grep -ri template .

clean:
	$(RM)  target
	$(RM)  project/project
	$(RM)  project/target
	$(RM)  bench/target

distclean: clean
	$(RM) ~/.sbt/1.0/staging

realclean: clean
	$(RM) ~/.sbt
	$(RM) ~/.ivy2
	$(RM) ~/.cache/coursier

# GNUmakefile
